Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoLayout Class Reference
GoSdk

## Description

Represents a layout related sensor configuration.

Inheritance diagram for GoLayout:

## Public Member Functions
kStatus | GoLayout_EnableMultiplexBuddy (GoLayout layout, kBool enable)
| Enables buddied sensor multiplexing with automated parameter calculation. More...
kStatus | GoLayout_EnableMultiplexSingle (GoLayout layout, kBool enabled)
| Enables single sensor(not buddied) configuration multiplexing. More...
k32u | GoLayout_GridColumnCount (GoLayout layout)
| Returns number of columns being configured (may not be applicable or used) on device in n-buddy system. More...
k32u | GoLayout_GridColumnCountSystemValue (GoLayout layout)
| Returns number of columns system value being used on device in n-buddy system. More...
kBool | GoLayout_MultiplexBuddyEnabled (GoLayout layout)
| Returns a boolean value representing whether or not multiplexing is enabled in a buddied configuration. More...
k64f | GoLayout_MultiplexSingleDelay (GoLayout layout)
| Returns a value representing the multiplexing delay in a single device sensor configuration. More...
kBool | GoLayout_MultiplexSingleEnabled (GoLayout layout)
| Returns a boolean value representing whether or not multiplexing is enabled in a single device configuration. More...
k64f | GoLayout_MultiplexSingleExposureDuration (GoLayout layout)
| Returns a value representing the multiplexing exposure duration in a single device sensor configuration. More...
k64f | GoLayout_MultiplexSinglePeriod (GoLayout layout)
| Returns a value representing the multiplexing period in a single device sensor configuration. More...
k64f | GoLayout_MultiplexSinglePeriodMin (GoLayout layout)
| Returns a value representing the minimum multiplexing period in a single device sensor configuration. More...
GoOrientation | GoLayout_Orientation (GoLayout layout)
| Returns the current orientation used when buddied. More...
kStatus | GoLayout_SetGridColumnCount (GoLayout layout, k32u value)
| Sets number of columns being configured (may not be applicable or used) on device in n-buddy system. More...
kStatus | GoLayout_SetMultiplexSingleDelay (GoLayout layout, k64f value)
| Sets the single sensor multiplexing delay. More...
kStatus | GoLayout_SetMultiplexSinglePeriod (GoLayout layout, k64f value)
| Sets the single sensor multiplexing period. More...
kStatus | GoLayout_SetOrientation (GoLayout layout, GoOrientation orientation)
| Sets the buddied sensor configuration orientation. More...
k64f | GoLayout_TransformedDataRegionHeight (GoLayout layout)
| Returns the transformed data region height value. More...
k64f | GoLayout_TransformedDataRegionLength (GoLayout layout)
| Returns the transformed data region length value. More...
k64f | GoLayout_TransformedDataRegionWidth (GoLayout layout)
| Returns the transformed data region width value. More...
k64f | GoLayout_TransformedDataRegionX (GoLayout layout)
| Returns the transformed data region X-component value. More...
k64f | GoLayout_TransformedDataRegionY (GoLayout layout)
| Returns the transformed data region Y-component value. More...
k64f | GoLayout_TransformedDataRegionZ (GoLayout layout)
| Returns the transformed data region Z-component value. More...
k64f | GoLayout_XSpacingCount (GoLayout layout)
| Returns the layout specific X spacing count value. More...
k64f | GoLayout_YSpacingCount (GoLayout layout)
| Returns the layout specific Y spacing count value. More...

The documentation for this class was generated from the following file:

- GoLayout.h